DynamicJava Javadoc: Class JVMUtilities

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.classfile
Class JVMUtilities

    java.lang.Object
      |
      +--koala.dynamicjava.classfile.JVMUtilities

public abstract class JVMUtilities
extends java.lang.Object

This interface contains utility functions.

Method Summary
`static java.lang.String` | `createMethodDescriptor(java.lang.String rt, java.lang.String[] pt)` Creates a method descriptor
`static java.lang.String` | `getName(java.lang.Class c)` Returns the string that represents internally the given class
`static java.lang.String` | `getName(java.lang.String c)` Returns the string that represents internally the given class name
`static java.lang.String` | `getParameterTypeName(java.lang.Class c)` Returns the string that represents internally the given class
`static java.lang.String` | `getParameterTypeName(java.lang.String c)` Returns the string that represents internally the given class name
`static java.lang.String` | `getReturnTypeName(java.lang.Class c)` Returns the string that represents internally the given class
`static java.lang.String` | `getReturnTypeName(java.lang.String c)` Returns the string that represents internally the given class name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public static java.lang.String getName(java.lang.Class c)

  Returns the string that represents internally the given class

### getName

    public static java.lang.String getName(java.lang.String c)

  Returns the string that represents internally the given class name

### getReturnTypeName

    public static java.lang.String getReturnTypeName(java.lang.Class c)

  Returns the string that represents internally the given class

### getReturnTypeName

    public static java.lang.String getReturnTypeName(java.lang.String c)

  Returns the string that represents internally the given class name

### getParameterTypeName

    public static java.lang.String getParameterTypeName(java.lang.Class c)

  Returns the string that represents internally the given class

### getParameterTypeName

    public static java.lang.String getParameterTypeName(java.lang.String c)

  Returns the string that represents internally the given class name

### createMethodDescriptor

    public static java.lang.String createMethodDescriptor(java.lang.String rt,
                                                          java.lang.String[] pt)

  Creates a method descriptor
  Parameters:
    `rt` - the return type name as returned by getReturnTypeName
    `pt` - the parameters type names as returned by getParameterTypeName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.